NX Open C++ Reference Guide
|
Layout Management Builder of Engineering Die Wizard <br> To create a new instance of this class, use @link Tooling::LayoutManagementCollection::CreateLayoutManagementBuilder Tooling::LayoutManagementCollection::CreateLayoutManagementBuilder @endlink <br>
Default values. More...
Public Types | |
enum | StationItems { StationItemsOne, StationItemsTwo, StationItemsThree } |
Specifies the station items. More... | |
Public Member Functions | |
NXOpen::SelectBodyList * | BodiesReposition () |
Returns the select bodies to reposition Created in NX8.0.0. | |
NXOpen::GeometricUtilities::ModlMotion * | RepositionMotion () |
Returns the reposition motion Created in NX8.0.0. | |
NXOpen::SelectNXObjectList * | SelectEntityAdd () |
Returns the select entity to add into the station Created in NX8.0.0. | |
NXOpen::SelectNXObjectList * | SelectEntityRemove () |
Returns the select entity to remove from the station Created in NX8.0.0. | |
void | SetSpecifyDieTip (NXOpen::Direction *specifyDieTip) |
Sets the specify die tip to define the forming direction Created in NX8.0.0. | |
void | SetStationDistance (double stationDistance) |
Sets the station distance of engineering die Created in NX8.0.0. | |
void | SetStationEnum (NXOpen::Tooling::LayoutManagementBuilder::StationItems stationEnum) |
Sets the station number definition of engineering die Created in NX8.0.0. | |
void | SetStationNameStr (const NXString &stationNameStr) |
Sets the station name definition of engineering die Created in NX8.0.0. | |
void | SetStationNameStr (const char *stationNameStr) |
Sets the station name definition of engineering die Created in NX8.0.0. | |
void | SetStationNumber (int stationNumber) |
Sets the total station number of engineering die layout Created in NX8.0.0. | |
NXOpen::Direction * | SpecifyDieTip () |
Returns the specify die tip to define the forming direction Created in NX8.0.0. | |
double | StationDistance () |
Returns the station distance of engineering die Created in NX8.0.0. | |
NXOpen::Tooling::LayoutManagementBuilder::StationItems | StationEnum () |
Returns the station number definition of engineering die Created in NX8.0.0. | |
NXString | StationNameStr () |
Returns the station name definition of engineering die Created in NX8.0.0. | |
int | StationNumber () |
Returns the total station number of engineering die layout Created in NX8.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Layout Management Builder of Engineering Die Wizard <br> To create a new instance of this class, use @link Tooling::LayoutManagementCollection::CreateLayoutManagementBuilder Tooling::LayoutManagementCollection::CreateLayoutManagementBuilder @endlink <br>
Default values.
Property | Value |
---|---|
RepositionMotion.DeltaEnum |
ReferenceWcsWorkPart |
RepositionMotion.DeltaXc.Value |
0.0 |
RepositionMotion.DeltaYc.Value |
0.0 |
RepositionMotion.DeltaZc.Value |
0.0 |
StationDistance |
0 |
StationEnum |
One |
StationNameStr |
station |
StationNumber |
3 |
Created in NX8.0.0.
NXOpen::SelectBodyList* NXOpen::Tooling::LayoutManagementBuilder::BodiesReposition | ( | ) |
Returns the select bodies to reposition
Created in NX8.0.0.
License requirements : None
NXOpen::GeometricUtilities::ModlMotion* NXOpen::Tooling::LayoutManagementBuilder::RepositionMotion | ( | ) |
Returns the reposition motion
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::LayoutManagementBuilder::SelectEntityAdd | ( | ) |
Returns the select entity to add into the station
Created in NX8.0.0.
License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Tooling::LayoutManagementBuilder::SelectEntityRemove | ( | ) |
Returns the select entity to remove from the station
Created in NX8.0.0.
License requirements : None
void NXOpen::Tooling::LayoutManagementBuilder::SetSpecifyDieTip | ( | NXOpen::Direction * | specifyDieTip | ) |
Sets the specify die tip to define the forming direction
Created in NX8.0.0.
License requirements : None
specifyDieTip | specifydietip |
void NXOpen::Tooling::LayoutManagementBuilder::SetStationDistance | ( | double | stationDistance | ) |
Sets the station distance of engineering die
Created in NX8.0.0.
License requirements : None
stationDistance | stationdistance |
void NXOpen::Tooling::LayoutManagementBuilder::SetStationEnum | ( | NXOpen::Tooling::LayoutManagementBuilder::StationItems | stationEnum | ) |
Sets the station number definition of engineering die
Created in NX8.0.0.
License requirements : None
stationEnum | stationenum |
void NXOpen::Tooling::LayoutManagementBuilder::SetStationNameStr | ( | const NXString & | stationNameStr | ) |
Sets the station name definition of engineering die
Created in NX8.0.0.
License requirements : None
stationNameStr | stationnamestr |
void NXOpen::Tooling::LayoutManagementBuilder::SetStationNameStr | ( | const char * | stationNameStr | ) |
Sets the station name definition of engineering die
Created in NX8.0.0.
License requirements : None
stationNameStr | stationnamestr |
void NXOpen::Tooling::LayoutManagementBuilder::SetStationNumber | ( | int | stationNumber | ) |
Sets the total station number of engineering die layout
Created in NX8.0.0.
License requirements : None
stationNumber | stationnumber |
NXOpen::Direction* NXOpen::Tooling::LayoutManagementBuilder::SpecifyDieTip | ( | ) |
Returns the specify die tip to define the forming direction
Created in NX8.0.0.
License requirements : None
double NXOpen::Tooling::LayoutManagementBuilder::StationDistance | ( | ) |
Returns the station distance of engineering die
Created in NX8.0.0.
License requirements : None
NXOpen::Tooling::LayoutManagementBuilder::StationItems NXOpen::Tooling::LayoutManagementBuilder::StationEnum | ( | ) |
Returns the station number definition of engineering die
Created in NX8.0.0.
License requirements : None
NXString NXOpen::Tooling::LayoutManagementBuilder::StationNameStr | ( | ) |
Returns the station name definition of engineering die
Created in NX8.0.0.
License requirements : None
int NXOpen::Tooling::LayoutManagementBuilder::StationNumber | ( | ) |
Returns the total station number of engineering die layout
Created in NX8.0.0.
License requirements : None